View Issue Details

IDProjectCategoryLast Update
0026087AI War 2Crash/ExceptionJan 9, 2022 9:34 pm
Reporterpheonix89 Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 3.781 Tachyon Healing Reversal 
Fixed in VersionBeta 3.782 Smooth Reloading 
Summary0026087: Exception in Civilian Industries set at ease
DescriptionNPE barrage in civilian industries:

1/8/2022 2:56:34 PM 3.781 SINGLEP DELAYED115 TID45 Execute error in 'SetMilitiaAtEase': System.NullReferenceException: Object reference not set to an instance of an object
  at SKCivilianIndustry.GameCommands.SetMilitiaAtEase.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenClientOrHostSimContextCore context) [0x00025] in <1243e76dcc1649f0acd65a6024b27d59>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenClientOrHostSimContextCore Context) [0x00058] in <300edbac1c7a44888a2170f2bdd1bb70>:0
  at System.Environment.get_StackTrace () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <616505f152c8481cb3106ff68ea53d80>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenClientOrHostSimContextCore Context) [0x00000] in <300edbac1c7a44888a2170f2bdd1bb70>:0
  at Arcen.AIW2.Core.World_AIW2.OnClientOrHost_ExecuteGameCommandsThatWereScheduled (Arcen.AIW2.Core.ArcenClientOrHostSimContextCore Context) [0x00000] in <300edbac1c7a44888a2170f2bdd1bb70>:0
  at Arcen.AIW2.External.SimPlannerImplementation.ProcessCoreLogicForArbitraryFrameOnMainThread (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals, System.String& reasonForNoVisualUpdates) [0x00000] in <5d6dd5175ea946d4842d7befc27ffb40>:0
  at Arcen.AIW2.Core.Engine_AIW2.<ProcessArbitraryFrameOnMainThread>b__75_0 () [0x00000] in <300edbac1c7a44888a2170f2bdd1bb70>:0
  at System.Threading.Tasks.Task.InnerInvoke () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.Tasks.Task.Execute () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.Tasks.Task.ExecutionContextCallback (System.Object obj) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.Tasks.Task.ExecuteWithThreadLocal (System.Threading.Tasks.Task& currentTaskSlot) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.Tasks.Task.ExecuteEntry (System.Boolean bPreventDoubleExecution) [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.Tasks.Task.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading.ThreadPoolWorkQueue.Dispatch () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
  at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () [0x00000] in <695d1cc93cca45069c528c15c9fdd749>:0
TagsNo tags attached.

Relationships

related to 0026089 resolvedx4000Bughunter Exception on mouseover civilian industries militia base. 

Activities

pheonix89

Jan 8, 2022 2:59 pm

reporter  

bug report.save (266,457 bytes)
bug report.savemet (116 bytes)   
UK
381554151
1241
Spire
<color=#66ffce>Easier </color> Full Ensemble
Difficulty 5
0
<color=#318ce7>pheonix89</color>
bug report.savemet (116 bytes)   

x4000Bughunter

Jan 9, 2022 9:34 pm

administrator   ~0063726

Thanks!

* Fixed three different nullref exceptions that could happen in civilian industries commands.

Issue History

Date Modified Username Field Change
Jan 8, 2022 2:59 pm pheonix89 New Issue
Jan 8, 2022 2:59 pm pheonix89 File Added: bug report.save
Jan 8, 2022 2:59 pm pheonix89 File Added: bug report.savemet
Jan 9, 2022 12:18 am BadgerBadger Relationship added related to 0026089
Jan 9, 2022 9:34 pm x4000Bughunter Assigned To => x4000Bughunter
Jan 9, 2022 9:34 pm x4000Bughunter Status new => resolved
Jan 9, 2022 9:34 pm x4000Bughunter Resolution open => fixed
Jan 9, 2022 9:34 pm x4000Bughunter Fixed in Version => Beta 3.782 Smooth Reloading
Jan 9, 2022 9:34 pm x4000Bughunter Note Added: 0063726